import { Node } from '@tiptap/core';
import { GeneralOptions } from '../../type';

export declare enum ColumnLayout {
    SidebarLeft = "sidebar-left",
    SidebarRight = "sidebar-right",
    TwoColumn = "two-column",
    ThreeColumn = "three-column",
    FourColumn = "four-column"
}
declare module '@tiptap/core' {
    interface Commands<ReturnType> {
        columns: {
            setColumns: () => ReturnType;
            setThreeColumns: () => ReturnType;
            setFourColumns: () => ReturnType;
            setLayout: (layout: ColumnLayout) => ReturnType;
        };
    }
}
export interface ColumnsOptions extends GeneralOptions<ColumnsOptions> {
    columnOptions: any;
    layout: ColumnLayout;
}
export declare const Columns: Node<ColumnsOptions, any>;
export default Columns;
